org.apache.olingo.odata2.api.annotation.edm

## Enum EdmType

- java.lang.Object
- - java.lang.Enum<EdmType>
  - - org.apache.olingo.odata2.api.annotation.edm.EdmType

- All Implemented Interfaces:
    Serializable, Comparable<EdmType>

      public enum EdmType
      extends Enum<EdmType>

  The EdmTypes which can be used for property definition in the EDM.

  The available values are based on `EdmSimpleTypeKind` values with the additional type `COMPLEX` which can be used to explicit define a EdmProperty as complex.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BINARY`
    `BOOLEAN`
    `BYTE`
    `COMPLEX` Only for explicit definition of a complex property.
    `DATE_TIME`
    `DATE_TIME_OFFSET`
    `DECIMAL`
    `DOUBLE`
    `GUID`
    `INT16`
    `INT32`
    `INT64`
    `NULL`
    `SBYTE`
    `SINGLE`
    `STRING`
    `TIME`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EdmType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EdmType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BINARY

          public static final EdmType BINARY

    - #### BOOLEAN

          public static final EdmType BOOLEAN

    - #### BYTE

          public static final EdmType BYTE

    - #### DATE_TIME

          public static final EdmType DATE_TIME

    - #### DATE_TIME_OFFSET

          public static final EdmType DATE_TIME_OFFSET

    - #### DECIMAL

          public static final EdmType DECIMAL

    - #### DOUBLE

          public static final EdmType DOUBLE

    - #### GUID

          public static final EdmType GUID

    - #### INT16

          public static final EdmType INT16

    - #### INT32

          public static final EdmType INT32

    - #### INT64

          public static final EdmType INT64

    - #### SBYTE

          public static final EdmType SBYTE

    - #### SINGLE

          public static final EdmType SINGLE

    - #### STRING

          public static final EdmType STRING

    - #### TIME

          public static final EdmType TIME

    - #### NULL

          public static final EdmType NULL

    - #### COMPLEX

          public static final EdmType COMPLEX

      Only for explicit definition of a complex property. Not mappable to `EdmSimpleTypeKind`

  - ### Method Detail

    - #### values

          public static EdmType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EdmType c : EdmType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EdmType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.